πŸš€ Fansly API (Alpha) is live!WIP - Updated Daily
Fansly API Logo
Followers

List All Following


Get a list of accounts that a specific account is following.

https://v1.apifansly.com
GET
/api/fansly/{accountId}/following

Get Started

All requests to the Fansly API require an API Key. See the Authentication page for details.

Path Parameters

accountId*
string
The internal ID of the connected Fansly account.
curl -X GET "https://v1.apifansly.com/api/fansly/{accountId}/following" \
  -H "x-api-key: YOUR_API_KEY"
fetch("https://v1.apifansly.com/api/fansly/{accountId}/following", {
  method: "GET",
  headers: {
    "x-api-key": "YOUR_API_KEY"
  }
})
import requests

url = "https://v1.apifansly.com/api/fansly/{accountId}/following"
headers = {"x-api-key": "YOUR_API_KEY"}

response = requests.get(url, headers=headers)
print(response.json())
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
        .uri(URI.create("https://v1.apifansly.com/api/fansly/{accountId}/following"))
        .header("x-api-key", "YOUR_API_KEY")
        .GET()
        .build();

client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
        .thenApply(HttpResponse::body)
        .thenAccept(System.out::println)
        .join();
using System.Net.Http;
using System.Threading.Tasks;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");

var response = await client.GetAsync("https://v1.apifansly.com/api/fansly/{accountId}/following");
var responseString = await response.Content.ReadAsStringAsync();

Console.WriteLine(responseString);
package main

import (
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://v1.apifansly.com/api/fansly/{accountId}/following"
    req, _ := http.NewRequest("GET", url, nil)
    req.Header.Set("x-api-key", "YOUR_API_KEY")

    client := &http.Client{}
    resp, _ := client.Do(req)
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}

Response

{
    "statusCode": 200,
    "message": "Success",
    "data": {
        "status_code": 200,
        "data": {
            "success": true,
            "response": [
                {
                    "accountId": "XXxxxxxxxxxxxxxxxxxx"
                },
                {
                    "accountId": "XXxxxxxxxxxxxxxxxxxx"
                },
                {
                    "accountId": "XXxxxxxxxxxxxxxxxxxx"
                },
                {
                    "accountId": "XXxxxxxxxxxxxxxxxxxx"
                },
                {
                    "accountId": "XXxxxxxxxxxxxxxxxxxx"
                }
            ]
        }
    },
    "timestamp": "2026-01-27T22:45:05.108Z"
}

Response Fields

FieldTypeDescription
statusCodenumberThe HTTP status code of the response
messagestringResult status message
dataobjectMain response payload
β”œβ”€ dataobjectFansly specific data container
β”‚ └─ responsearrayA list of objects containing the followed account IDs
β”‚ └─ accountIdstringThe unique identifier of the followed account
timestampstringISO 8601 timestamp of the response

On this page